import Vue from "vue/dist/vue";
import LayoutBuilder from "./LayoutBuilder.vue";
import store from "./store/index";

Vue.config.productionTip = false;

class App {
  constructor(id, config) {
    this.id = id;
    this.layoutBuilder = document.getElementById(this.id);
    this.config = Object.assign({}, config, {
      contentTypesOverlayVisibility: false,
      currentlyEditableContentElement: null,
      activeGroupInElementsOverlay: null
    });

    if (this.layoutBuilder) {
      return new Vue({
        store: store(this.config),
        id: this.id,
        render: h => h(LayoutBuilder)
      }).$mount(`#${this.id}`);
    }
  }
}

export default App;
